<?
# dvbdcontrol
#
# Web-interface to control the dvbd tools. 
# Use only in trusted networks or with additional authentication!
#
# Copyright (c) 2005 Tim Jansen
# See LICENSE for licensing (MIT license).
# 

require 'common.php';

$connections = getConnections();
foreach ($connections as $key=>$connection)
	if ($connection['job'] != null)
		$jobs[] = $connection['job'];
$currentJobsLeft = count($jobs);
$schedule = array_merge($jobs, getSchedule());

?>
<html>
<head><title>dvbd schedule</title></head>
<body>
<h2>dvbd schedule</h2>
<?
if ($connections === null) {
	?><div style="Color: red">Error connecting to dvbd</div><?
}
?>
<p>
<table cellpadding="0" cellspacing="6">
<tr>
    <th>No.</th>
    <th>Date </th>
    <th>Time from</th>
    <th>until</th>
    <th>Channel</th>
    <th>File</th>
    <th>Duration (s)</th>
    <th>Format</th>
    <th>Priority</th>
    <th>Links</th>
</tr>
<?
foreach ($schedule as $key => $job) {
	$current = $currentJobsLeft > 0;
	if ($current) {
		$currentJobsLeft--;
		echo('<tr bgcolor="#ffbbbb">');
	} else
		echo('<tr>');
?>
    <td><?=$job['number']?></td>
    <td><?=$job['date']?></td>
    <td><?=$job['time']?></td>
    <td><?=$job['endTime']?></td>
    <td><?=$job['channel']?></td>
    <td><?=$job['file']?></td>
    <td><?=$job['duration']?> min</td>
    <td><?=$job['convertToPs']?'mpg':'ts'?></td>
    <td><?=translatePriority($job['priority'])?></td>
    <td>
<?
	if ($current) {	
		?>&nbsp;<?
	}
	else
	{
		?><a href="edit.php?number=<?=$job['number']?>&origin=schedule">Edit</a> - <a href="delete.php?number=<?=$job['number']?>">Delete</a><?
	}
?>
    </td>
</tr>
<?
}
?>
</table>
<br/>
<a href="edit.php?origin=schedule">Add new job</a>
&nbsp;&nbsp;
<a href="index.php">To overview</a>&nbsp;&nbsp;
<a href="recordings.php">To recordings</a>
</p>
</body>
</html>
