<?
# dvbdcontrol
#
# Web-interface to control the dvbd tools. 
# Use only in trusted networks or with additional authentication!
#
# Copyright (c) 2005 Tim Jansen
# See LICENSE for licensing (MIT license).
# 


# Set to the location of dvbsched, dvblist and dvbcat. Needs trailing '/'.
$dvbBinPath = '/usr/local/bin/';

# Set to your DVB standard: 'dvb-t', 'dvb-c' or 'dvb-s'
$dvbType = 'dvb-t';

# Set to the directory to save recordings to.
# MUST BE 1. Absolute path (begin with '/')
#         2. End with trailing '/'
#         3. Be owned by the web server user!
#
# common.php functions use $recordDir merely as default directory
# edit.php allows no other directories, so the user can not overwrite files.
$recordDir = '/home/tjansen/media/video/tv/';

# Record to program stream by default (instead of TS)
$convertToPsDefault = TRUE;

# Base URL for downloads from the $recordDir. Set to null if files
# can not be downloaded. Needs trailing '/'.
$recordBaseURL = 'http://192.168.0.10:8000/media/movie/tv/';
?>
