<?
# dvbdcontrol
#
# Web-interface to control the dvbd tools. 
# Use only in trusted networks or with additional authentication!
#
# Copyright (c) 2005 Tim Jansen
# See LICENSE for licensing (MIT license).
# 

require 'common.php';

$connections = getConnections();
$jobs = getSchedule();

$jobsToShow = 5;
?>
<html>
<head><title>webdvbd</title></head>
<body>
<h2>webdvbd</h2>
<?
if ($jobs === null || $connections === null) {
	?><div style="Color: red">Error connecting to dvbd. Check that <ol>
<li>dvdb is installed correctly and running (e.g. try "dvblist -c")</li>
<li>config.php has been modified for your setup, especially $dvbBinPath</li>
<li>Your webserver's user account can run the programs "dvbsched" and "dvblist" in $dvbBinPath</li>
<li>Your webserver's user account has full access to dvbd's socket, usually /usr/local/var/run/dvbd/dvbd.socket</li>
</ol></div><?
}
?>
<p>
<table cellpadding="0" cellspacing="6">
<?
$conCount = count($connections);
$jobCount = count($jobs);
if ($conCount>0 && $jobCount>0) {
	?><tr><td colspan='3'><b><?=$conCount?> current connections, <?=$jobCount?> jobs scheduled</b></td></tr><?
}
else if ($conCount>0) {
	?><tr><td colspan='3'><b><?=$conCount?> current connections, no jobs scheduled</b></td></tr><?
}
else if ($jobCount>0) {
	?><tr><td colspan='3'><b><?=$jobCount?> jobs scheduled, no current connections</b></td></tr><?
}
else {
	?><tr><td colspan='3'><b>No connections, no jobs. <a href="edit.php?origin=index">click here</a> to create a new job</b></td></tr><?
}
?>
<?
foreach ($connections as $key => $connection) {
	$job = $connection['job'];
?>
	<tr bgcolor="#ffbbbb">
	<? if ($job != null) { ?>
		<td><?=$job['file']?></td>
		<td><?=$job['date'].' '.$job['time']?> - <?=$job['endTime']?></td>
		<td><?=$connection['channel']?></td>
	<? } else { ?>
		<td colspan='3'><?=$connection['channel']?> LIVE</td>
	<? } ?>
	</tr>
<?
}
foreach ($jobs as $key=>$job) {
	if ($key >=5)
		break;
?>
	<tr>
	<td><?=$job['file']?></td>
	<td><?=$job['date'].' '.$job['time']?> - <?=$job['endTime']?></td>
	<td><?=$job['channel']?></td>
	</tr>
<?
}
?><tr><td colspan='3'><a href="schedule.php">Show all <?=count($jobs)?> jobs...</a>
&nbsp;&nbsp;<a href="recordings.php">Show recordings</a>
&nbsp;&nbsp;<a href="edit.php?origin=index">Add new job</a>
</td></tr><?

?>

</table>
</p>

</body>
</html>
