<?
# dvbdcontrol
#
# Web-interface to control the dvbd tools. 
# Use only in trusted networks or with additional authentication!
#
# Copyright (c) 2005 Tim Jansen
# See LICENSE for licensing (MIT license).
# 

require 'common.php';

$recordings = getRecordingList();

?>
<html>
<head><title>dvbd recordings</title></head>
<body>
<h2>dvbd recordings</h2>
<?
if ($recordings === null) {
	?><div style="Color: red">Error getting recording list</div><?
}
?>
<p>
<form method="get" action="delete_recording.php">
<table cellpadding="0" cellspacing="6">
<tr>
    <th>Del</th>
    <th>File</th>
    <th>Size</th>
    <th>Channel</th>
    <th>Date</th>
    <th>From</th>
    <th>until</th>
    <th>Duration (s)</th>
</tr>
<?
foreach ($recordings as $r) {
?>
	 <tr>
	    <td><input type="checkbox" name="files[]" value="<?=htmlspecialchars($r['file'])?>"/></td>
<? 
if ($recordBaseURL) {
?>
	    <td><a href="<?=$recordBaseURL.$r['file']?>"><?=$r['file']?></a></td>
<? } else {?>
	    <td><?=$r['file']?></td>
<? } ?>
	    <td><?=round($r['size']/1000000)?> MB</td>
<?
	if ($r['fullInfo']) {
?>
	    <td><?=$r['channel']?></td>
	    <td><?=$r['date']?></td>
	    <td><?=$r['time']?></td>
	    <td><?=$r['endTime']?></td>
	    <td><?=$r['duration']?> min</td>
	 </tr>
<?
	} else {
?>
	    <td>-</td>
	    <td>-</td>
	    <td>-</td>
	    <td>-</td>
	    <td>-</td>
	 </tr>
<?
	}
}
?>
	<tr><td colspan='8' align="center"><input type="submit" value="Delete"/></td></tr>
</table>
</form>
<br/>
&nbsp;&nbsp;
<a href="index.php">To overview</a>&nbsp;&nbsp;
<a href="schedule.php">To schedule</a>
</p>
</body>
</html>
